--- Edge Of Time Coral

local function TenthModelExists()
    if SonicSD and file.Exists("models/FuzzyLeo/newexteriorpack/10thbox/10thdoors.mdl", "GAME") then
        return true
    end
    return false
end

local function SonicModelExists()
    if SonicSD and file.Exists("models/weapons/c_sonicsd.mdl", "GAME") then
        return true
    end
    return false
end

local T = {
    Exterior = {
        Parts = {
            vortex = {
                model = "models/FuzzyLeo/EdgeOfReality/VortexBall.mdl",
                pos = Vector(0,0,50),
                ang = Angle(0,0,0),
                scale =10
            },
        },
    },
}

T.Versions = {
    randomize = false,
    allow_custom = true,
    randomize_custom = false,

    main = {
        id = "edgeoftimecoral",
    },
    other = {
		{
			name = "Classic Doors",
            id = "edgeoftimecoralcl",
		},
        {
			name = "Cursed/OG Version",
            id = "edgeoftimecoralcursed",
		},
        {
			name = TenthModelExists() and "10th Doctor Exterior",
            id = TenthModelExists() and "edgeoftimecoral10th",
		},
	}
}

T.EnableClassicDoors = false

T.Base = "base"
T.Name = "The Edge Of Time (TLV)"
T.ID = "edgeoftimecoral"
T.Interior = {

    UI_Theme = "eotcoral_theme",

    Model = "models/FuzzyLeo/EdgeOfReality/floor.mdl",
    IdleSound = {
        {
            path = "FuzzyLeo/EdgeOfReality/BBC_TARDIS_Atmos_Loop.wav",
            volume = 1
        },
    },
    ScreensEnabled = false,

-- lights handled by templates now

	Portal = {
		-- Generated by portals debug tool
		pos = Vector(0, 344.72, 20),
		ang = Angle(0, -90, 0),
		width = 56,
		height = 100,
		thickness = -3.40,
		inverted = false,
	},

    Fallback = {
        pos = Vector(0, 310, -18),
        ang = Angle(0, 230, 0)
    },

    Screens = {
        {
            pos = Vector(-7.8, -24.7, 54),
            ang = Angle(0, 0, 90),
            width = 256,
            height = 205.5,
            gui_rows = 2,
            power_off_black = true
        }
    },

    Scanners = {
        {
            mat = "models/fuzzyleo/edgeofreality/tardisscreen",
            width = 1024,
            height = 1024,
            ang = Angle(0,0,0),
            fov = 75,
        }
    },

    ExitDistance = 1000,

    Sounds={
        FlightLoop = "FuzzyLeo/EdgeOfReality/CoolyDude/coral_inflight.wav",
        Door={
			enabled=true,
			open="FuzzyLeo/EdgeOfReality/CoolyDude/eot_door_open.mp3",
			close="FuzzyLeo/EdgeOfReality/CoolyDude/eot_door_close_3.mp3",
            locked = "FuzzyLeo/EdgeOfReality/EORDoorLock.mp3"
		},
        Power={
			On="FuzzyLeo/EdgeOfReality/CoolyDude/coral_power_on_new.wav",
			Off="FuzzyLeo/EdgeOfReality/CoolyDude/coral_power_off_new.wav",
		},
	},

    Sequences = "kleiner_sequence",

    Parts = {
		door = {
            Model="models/FuzzyLeo/EdgeOfReality/ExteriorJodieDoors.mdl",
            posoffset=Vector(26.7, 0, -48),
        },

        -- room stuff
        eotcoral_wall1            =   {ang = Angle(0, 0, 0),},
        eotcoral_wall2            =   {ang = Angle(0, -90, 0)},
        eotcoral_wall3            =   {ang = Angle(0, 180, 0),},
        eotcoral_walldoor2            =   {},
        eotcoral_void            =   {},
		eotcoral_doorframe2            =   {},
        eotcoral_pillar1            =   {ang = Angle(0, 0, 0),},
        eotcoral_pillar2            =   {ang = Angle(0, 60, 0),},
        eotcoral_pillar3            =   {ang = Angle(0, -60, 0),},
        eotcoral_pillar4            =   {ang = Angle(0, 120, 0),},
        eotcoral_pillar5            =   {ang = Angle(0, -120, 0),},
        eotcoral_pillar6            =   {ang = Angle(-0, 180, 0),},
        eotcoral_cables            =   {},
        eotcoral_hexagonbase2            =   {},
        eotcoral_walldetail2            =   {},
        eotcoral_platform            =   {},
        eotcoral_platformrail            =   {ang = Angle(-0, -30, 0),},
        eotcoral_console            =   {},
        eotcoral_consoledetails            =   {},
        eotcoral_consolerotor            =   {},
        eotcoral_controls            =   {},
        eotcoral_chair            =   {},
        eotcoral_walkway            =   {},
		eotcoral_catwalk            =   {pos = Vector(0, 0, 0),                     ang = Angle(-0, 0, 0),               },

        -- controls
        eotcoral_flight            =   {pos = Vector(-16.183, 30.78, 38),                     ang = Angle(0, 0, 0),                        },
        eotcoral_demat            =   {pos = Vector(15.853, -29.169, 40.245),                     ang = Angle(0, 0, 0),                        },
        eotcoral_lockingmechanism            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        eotcoral_cloak            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        eotcoral_power            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        eotcoral_redecoration            =   {pos = Vector(-0.2, -1, 0.5),                     ang = Angle(0, 180, 0),                        },
        eotcoral_handbrake            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        eotcoral_screentoggle            =   {pos = Vector(-8.041, -32.047, 33.157),                     ang = Angle(0, 0, 0),                        },
        eotcoral_doorlock            =   {pos = Vector(2.335, 29.877, 34.253),                     ang = Angle(0, 0, 0),                        },
        eotcoral_enginerelease            =   {pos = Vector(43.966, 0.002, 36.353),                     ang = Angle(0, 0, 0),                        },
        eotcoral_repair            =   {pos = Vector(-1.773, 21.714, 38.651),                     ang = Angle(0, 0, 0),                        },
        eotcoral_scanners            =   {pos = Vector(7.195, -29.705, 34.452),                     ang = Angle(0, 0, 0),                        },
        eotcoral_thirdperson            =   {pos = Vector(-28.154, 7.395, 37.141),                     ang = Angle(0, 0, 0),                        },
        eotcoral_manualcoords            =   {pos = Vector(28.286, -7.437, 36.976),                     ang = Angle(0, 0, 0),                        },
        eotcoral_doortoggle            =   {pos = Vector(-22.558, -21.261, 34.764),                     ang = Angle(0, 0, 0),                        },
        eotcoral_coords            =   {pos = Vector(-23.898, 18.135, 34.747),                     ang = Angle(0, 0, 0),                        },
        eotcoral_hads            =   {pos = Vector(-7.138, 22.267, 36.094),                     ang = Angle(0, 0, 0),                        },
        eotcoral_music            =   {pos = Vector(17.37, -10.002, 38.053),                     ang = Angle(0, 0, 0),                        },
        eotcoral_fastreturn            =   {pos = Vector(2.501, -32.86, 32.487),                     ang = Angle(0, 0, 0),                        },
        eotcoral_isomorphic            =   {pos = Vector(24.133, -18.236, 33.914),                     ang = Angle(0, 0, 0),                        },
        eotcoral_float            =   {pos = Vector(22.561, 21.226, 34.706),                     ang = Angle(0, 0, 0),                        },
        eotcoral_vortexflight            =   {pos = Vector(-5.709, 28.996, 33.891),                     ang = Angle(0, 0, 0),                        },
        eotcoral_sonicdispenser            =   {pos = Vector(-16.131, 15.24, 36.184),                     ang = Angle(0, 0, 0),                        },
    },

    Controls = {
        eotcoral_demat            = "teleport_double",
        eotcoral_flight         = "flight",
        default_screen              = nil,
        eotcoral_screentoggle        = "toggle_screens",
        eotcoral_scanners       = "toggle_scanners",
        eotcoral_doorlock         = "doorlock",
        eotcoral_enginerelease       = "engine_release",
        eotcoral_doortoggle          = "door",
        eotcoral_power          = "power",
        eotcoral_manualcoords            = "destination",
        eotcoral_hads                = "hads",
        eotcoral_coords          = "coordinates",
        eotcoral_repair         = "repair",
        eotcoral_redecoration    = "redecorate",
        eotcoral_handbrake           = "handbrake",
        eotcoral_music          = "music",
        eotcoral_fastreturn            = "fastreturn",
        eotcoral_lockingmechanism            = "physlock",
        eotcoral_isomorphic          = "isomorphic",
        eotcoral_float               = "float",
        eotcoral_cloak         = "cloak",
        eotcoral_vortexflight    = "vortex_flight",
        default_dematcircuit        = nil,
        eotcoral_sonicdispenser      = "sonic_dispenser",
        default_sonic_inserted      = SonicModelExists() and "sonic_dispenser",
        eotcoral_thirdperson              = "thirdperson",
        default_atomaccel           = "spin_toggle",
        default_directionalpointer  = "spin_switch",



    },

    IntDoorAnimationTime = 0.4,
    Tips = {},
    -- Interior.Tips are deprecated; should be deleted when the extensions update and
    -- replace with Interior.CustomTips, Interior.PartTips and Interior.TipSettings
    CustomTips = {
        --{ text = "Example", pos = Vector(0, 0, 0) },
    },
    PartTips = {

        eotcoral_demat            =   {pos = Vector(15.853, -29.169, 40.245), down = true},
        eotcoral_coords            =   {pos = Vector(-23.898, 18.135, 34.747), down = true},
        eotcoral_thirdperson            =   {pos = Vector(-28.154, 7.395, 37.141), down = true},
        eotcoral_scanners            =   {pos = Vector(7.195, -29.705, 34.452), down = true},
        eotcoral_flight            =   {pos = Vector(-16.277, 31.491, 44.328), down = true},
        eotcoral_screentoggle            =   {pos = Vector(-8.041, -32.047, 33.157), down = true},
        eotcoral_doorlock            =   {pos = Vector(2.335, 29.877, 34.253), down = true},
        eotcoral_enginerelease            =   {pos = Vector(43.966, 0.002, 36.353), down = true},
        eotcoral_doortoggle            =   {pos = Vector(-22.558, -21.261, 34.764), down = true},
        eotcoral_power            =   {pos = Vector(13.524, -21.16, 42.605), down = true},
        eotcoral_manualcoords            =   {pos = Vector(28.286, -7.437, 36.976), down = true},
        eotcoral_hads            =   {pos = Vector(-7.138, 22.267, 36.094), down = true},
        eotcoral_repair            =   {pos = Vector(-1.773, 21.714, 38.651), down = true},
        eotcoral_redecoration            =   {pos = Vector(-13.763, 20.303, 42.668), down = true},
        eotcoral_music            =   {pos = Vector(17.37, -10.002, 38.053), down = true},
        eotcoral_fastreturn            =   {pos = Vector(2.501, -32.86, 32.487), down = true},
        eotcoral_handbrake            =   {pos = Vector(-23.074, 40.094, 25.122), down = true},
        eotcoral_lockingmechanism            =   {pos = Vector(-38.178, 0, 37.345), down = true},
        eotcoral_isomorphic            =   {pos = Vector(24.133, -18.236, 33.914), down = true},
        eotcoral_float            =   {pos = Vector(22.561, 21.226, 34.706), down = true},
        eotcoral_cloak            =   {pos = Vector(19.557, -31.693, 37.313), down = true},
        eotcoral_vortexflight            =   {pos = Vector(-5.709, 28.996, 33.891), down = true},
        eotcoral_sonicdispenser            =   {pos = Vector(-16.131, 15.24, 36.184), down = true},
    },

    TipSettings = {
		view_range_min = 50,
		view_range_max = 65,
	},

    LightOverride = {
        basebrightness = 0.03 ,
        nopowerbrightness = 0.0025
    },

    Seats = {
        {
            pos = Vector(-1, -97, 26),
            ang = Angle(0, 0, 0)
        },
        {
            pos = Vector(16, -97, 26),
            ang = Angle(0, 0, 0)
        },
        {
            pos = Vector(-18, -97, 26),
            ang = Angle(0, 0, 0)
        }
    },

    BreakdownEffectPos = Vector(0, 0, 40),

}


T.Interior.TextureSets = {
	["normal"] = {
		prefix = "models/FuzzyLeo/EdgeOfReality/",

	            { "eotcoral_doorframe", 0, "tardis_white" },
				{ "door", 0, "tardis" },

                { "door", 5, "tardis_alt1" },
                { "door", 6, "tardis_alt2" },
                { "door", 7, "tardis_alt3" },
                { "door", 8, "tardis_alt4" },

                {"eotcoral_walkway", 1, "TardisHangingLight"},

                {"eotcoral_console", 7, "TLV_TardisPieces"},

                {"eotcoral_consolerotor", 0, "tubeplastic"},
                {"eotcoral_consolerotor", 1, "tube_inner"},

        		{"eotcoral_wall1", 0, "M_TardisWallSegment"},
				{"eotcoral_wall1", 2, "M_TardisWallLights"},

                {"eotcoral_wall2", 0,"M_TardisWallSegment"},
				{"eotcoral_wall2", 2,"M_TardisWallLights"},

                {"eotcoral_wall3", 0, "M_TardisWallSegment"},
				{"eotcoral_wall3", 2, "M_TardisWallLights"},

                {"eotcoral_walldoor", 0, "M_TardisWallSegment"},
                {"eotcoral_walldoor", 2, "M_TardisWallLights"},


				{"eotcoral_consolerotor2", 1, "tubeplastic2"},

                {"eotcoral_walldoor2", 0, "M_TardisWallSegment"},
                {"eotcoral_walldoor2", 2, "M_TardisWallLights"},

				{ "eotcoral_doorframe2", 0, "tardis" },
				{ "eotcoral_doorframe2", 1, "coraldoorlight" },

				{ "eotcoral_doorframe2", 7, "tardis_alt1" },
				{ "eotcoral_doorframe2", 8, "tardis_alt2" },
				{ "eotcoral_doorframe2", 9, "tardis_alt3" },
				{ "eotcoral_doorframe2", 10, "tardis_alt4" },
                
                { "eotcoral_doorframe10th", 2, "10pbsign" },

			},
    ["flight"] = {
		prefix = "models/FuzzyLeo/EdgeOfReality/",
        base = "normal",
	},
    ["warning_flight"] = {
		prefix = "models/FuzzyLeo/EdgeOfReality/warning/",
        base = "normal",
	},
    ["poweroff"] = {
        prefix = "models/FuzzyLeo/EdgeOfReality/off/",
        base = "normal",
    },
    ["warning_off"] = {
        prefix = "models/FuzzyLeo/EdgeOfReality/offdead/",
        base = "normal",
    },
	["warning"] = {
		prefix = "models/FuzzyLeo/EdgeOfReality/warning/",
        base = "normal",
	},
}


T.CustomHooks = {

	travel_textures = {
        exthooks = {
            ["PostInitialize"] = true,
            ["PowerToggled"] = true,
            ["HealthWarningToggled"] = true,
            ["DematStart"] = true,
            ["MatStart"] = true,
            ["PreMatStart"] = true,
            ["StopDemat"] = true,
            ["StopMat"] = true,
            ["InterruptTeleport"] = true,
        },
        func = function(ext, int, data_id, data_value)
			local flight = ext:GetData("flight")
			local teleport = ext:GetData("teleport")
			local vortex = ext:GetData("vortex")
			local power = ext:GetData("power-state")
			local warning = ext:GetData("health-warning", false)
			local active = flight or teleport or vortex

			local selected = "normal"

            if warning and not power then
				selected = "warning_off"
			elseif not power then
				selected = "poweroff"
			elseif warning and active then
				selected = "warning_flight"
			elseif warning then
				selected = "warning"
			elseif active then
				selected = "flight"
			end

			int:ApplyTextureSet(selected)
            ext:ApplyTextureSet(selected)
		end
	},


    door_bodygroup_sync_ext = {
        exthooks = { ["PartBodygroupChanged"] = true, },
        inthooks = { ["PartBodygroupChanged"] = true, },
        func = function(ext,int,part,bodygroup,value)
            if not IsValid(int) then return end
            if not IsValid(part) or part.ID ~= "door" then return end


            local door_int = int:GetPart("door")
            local door_ext = ext:GetPart("door")

            if not IsValid(door_int) or not IsValid(door_ext) then return end

            if part.ExteriorPart and door_int:GetBodygroup(bodygroup) ~= value then
                door_int:SetBodygroup(bodygroup, value)
            end

            if part.InteriorPart and door_ext:GetBodygroup(bodygroup) ~= value then
                door_ext:SetBodygroup(bodygroup, value)
            end

        end,
    },
}


T.CustomSettings = {
    interior_sounds = {
        text = "Sounds",
        value_type = "list",
        value = "eotsnd",
        options = {
            ["eotsnd"] = "Edge Of Time",
            ["coralsnd"] = "Coral",
        }
    },
    interior_rotor = {
        text = "Rotor",
        value_type = "list",
        value = "eotrotor",
        options = {
            ["eotrotor"] = "Edge Of Time",
            ["coralrotor"] = "Coral",
        }
    },
    interior_lightedge = {
        text = "Wall Lighting",
        value_type = "list",
        value = "lightedgedefault",
        options = {
            ["lightedgedefault"] = "Default (Orange)",
            ["lightedgedim"] = "Dim Orange",
            ["lightedgeblue"] = "Blue",
            ["lightedgedeepblue"] = "Deep Blue",
            ["lightedgepurple"] = "Purple",
            ["lightedgegreen"] = "Green",
            ["lightedgewhite"] = "White (ish)",
            ["lightedgeoff"] = "Off",
            ["lightedgedarkwhite"] = "Dark White",
            ["lightedgepink"] = "Pink",
            ["lightedgered"] = "Red",
        }
    },
    interior_lightrotor = {
        text = "Rotor Lighting",
        value_type = "list",
        value = "lightrotordefault",
        options = {
            ["lightrotordefault"] = "Default (Blue)",
            ["lightrotordim"] = "Dim Blue",
            ["lightrotororange"] = "Orange",
            ["lightrotordeepblue"] = "Deep Blue",
            ["lightrotorpurple"] = "Purple",
            ["lightrotorgreen"] = "Green",
            ["lightrotordimgreen"] = "Dim Green",
            ["lightrotorwhite"] = "White",
            ["lightrotordimwhite"] = "Dim White",
            ["lightrotoroff"] = "Off",
            ["lightrotorpink"] = "Pink",
            ["lightrotorred"] = "Red",
        }
    },
    interior_shake = {
        text = "Demat Shake",
        value_type = "bool",
        value = false,
    },
}

T.Templates = {

    --Exterior
    edgeoftime_box = { override = true, },


    --Customisable Stuff
    eotcoral_defaultsnd = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_sounds", ply)
            return (setting_val == "eotsnd")
        end,
	},
    eotcoral_coralsnd = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_sounds", ply)
            return (setting_val == "coralsnd")
        end,
	},
    eotcoral_shake = {
        override = true,
        condition = function(id, ply, ent)
            return TARDIS:GetCustomSetting(id, "interior_shake", ply)
        end,
    },
    -- Rotor Type
    eotcoral_defaultrotor = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_rotor", ply)
            return (setting_val == "eotrotor")
        end,
	},
    eotcoral_coralrotor = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_rotor", ply)
            return (setting_val == "coralrotor")
        end,
	},

    -- edge lighting options

    eotcoral_lightedge_default = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgedefault")
        end,
	},
    eotcoral_lightedge_dim = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgedim")
        end,
	},

    eotcoral_lightedge_blue = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgeblue")
        end,
	},

    eotcoral_lightedge_deepblue = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgedeepblue")
        end,
	},

    eotcoral_lightedge_purple = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgepurple")
        end,
	},

    eotcoral_lightedge_green = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgegreen")
        end,
	},

    eotcoral_lightedge_white = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgewhite")
        end,
	},

    eotcoral_lightedge_off = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgeoff")
        end,
	},

    eotcoral_lightedge_darkwhite = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgedarkwhite")
        end,
	},

    eotcoral_lightedge_pink = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgepink")
        end,
	},

    eotcoral_lightedge_red = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightedge", ply)
            return (setting_val == "lightedgered")
        end,
	},

    -- rotor lighting options

    eotcoral_lightrotor_default = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotordefault")
        end,
	},

    eotcoral_lightrotor_dim = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotordim")
        end,
	},

    eotcoral_lightrotor_orange = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotororange")
        end,
	},

    eotcoral_lightrotor_deepblue = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotordeepblue")
        end,
	},

    eotcoral_lightrotor_purple = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotorpurple")
        end,
	},

    eotcoral_lightrotor_green = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotorgreen")
        end,
	},

    eotcoral_lightrotor_dimgreen = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotordimgreen")
        end,
	},

    eotcoral_lightrotor_white = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotorwhite")
        end,
	},

    eotcoral_lightrotor_dimwhite = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotordimwhite")
        end,
	},

    eotcoral_lightrotor_off = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotoroff")
        end,
	},

    eotcoral_lightrotor_pink = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotorpink")
        end,
	},

    eotcoral_lightrotor_red = {
		override = true,
        condition = function(id, ply, ent)
            local setting_val = TARDIS:GetCustomSetting(id, "interior_lightrotor", ply)
            return (setting_val == "lightrotorred")
        end,
	},

}

TARDIS:AddInterior(T)
